> ## Documentation Index
> Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Batch Operations



## OpenAPI

````yaml /api/openapi_api_adapter.json post /amlyze-ws-rest/validate-batch-operations
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://{{baseUrl}}
    description: Generated server url
security:
  - bearerAuth: []
tags: []
paths:
  /amlyze-ws-rest/validate-batch-operations:
    post:
      tags:
        - operation
      summary: Validate Batch Operations
      operationId: validateBatchOperations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchOperationsRequestDataApi'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/BatchOperationsResponseDataApi'
components:
  schemas:
    BatchOperationsRequestDataApi:
      properties:
        operations:
          items:
            $ref: '#/components/schemas/BaseOperationPayloadApi'
          type: array
      required:
        - operations
      type: object
    BatchOperationsResponseDataApi:
      properties:
        errorCode:
          type: string
        errorDescription:
          type: string
        results:
          items:
            $ref: '#/components/schemas/BatchOperationResultApi'
          type: array
        timeElapsedMs:
          format: int64
          type: integer
      type: object
    BaseOperationPayloadApi:
      properties:
        amount:
          description: >-
            The monetary amount in the currency in which the payment was
            initiated.
          type: number
        amountInEquivalent:
          description: >-
            The monetary amount in the original currency. ❗Mandatory if
            `currency` is not your original currency.
          type: number
        amountInEuro:
          deprecated: true
          description: >-
            Amount of money in euro currency. ❗Mandatory if `currency` is not
            euro.
          type: number
        businessUnit:
          description: >-
            Mandatory field for clients utilizing a multi-organizational
            solution. It serves to specify the unique identifier for the
            business unit. Business units are logical groupings of users and
            data. Each business unit can have its own set of users, permissions,
            and data access rules.
          type: string
        cardOperationSubType:
          type: string
          maxLength: 255
          description: ' Card operation subtype code. These field values are configurable individually. Value is taken from `/classifier/cardOperationSubType` endpoint.'
          x-dynamic-enum:
            path: /classifier/cardOperationSubType
            valueField: code
        communicationNumber:
          description: >-
            Unique number of communication. It is used for risk assessment
            callback.
          maxLength: 255
          type: string
        currency:
          type: string
          description: >-
            International currency code. Value is taken from
            `/classifier/currency` endpoint.
          x-dynamic-enum:
            path: /classifier/currency
            valueField: code
        dateAuthorized:
          format: date-time
          type: string
          description: Date payment was authorized.
        dateSettled:
          format: date-time
          type: string
          description: Date payment was settled.
        description:
          type: string
          description: The purpose of payment is saved under description.
          maxLength: 550
        destinationCountry:
          type: string
          description: >-
            Country of operation's destination. Value is taken from
            `/classifier/country` endpoint
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        euroExchangeRate:
          deprecated: true
          type: number
          description: Euro exchange rate for other than Eur currency.
        exchangeRate:
          description: >-
            The exchange rate applied when converting from the original
            currency.
          type: number
        fastPayment:
          description: Indication if this is fast payment.
          type: boolean
          deprecated: true
        financialFlowDirection:
          description: Refers to the movement of money between entities or accounts.
          enum:
            - INCOMING
            - 'NULL'
            - OUTGOING
          type: string
        ipAddress:
          description: The IP address of the operation.
          type: string
        ipAddressCountry:
          description: >-
            Country of an IP address of the operation. Value is taken from
            `/classifier/country` endpoint. 
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        listOperationParty:
          items:
            $ref: '#/components/schemas/OperationPartyApi'
          maxItems: 4
          minItems: 1
          type: array
        merchantCode:
          description: External identifier of the seller-mediator.
          maxLength: 50
          type: string
        merchantCountryCode:
          description: >-
            Seller-mediator country code. Value is taken from
            `/classifier/country` endpoint.
          maxLength: 2
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        merchantDescription:
          description: Seller-mediator description.
          maxLength: 32768
          type: string
        merchantExtId:
          description: External identifier of the seller-mediator.
          maxLength: 100
          type: string
        merchantName:
          description: Name of the seller-mediator.
          maxLength: 32768
          type: string
        operationDateTime:
          description: The operation date and time show when the operation proceeded.
          format: date-time
          type: string
        operationExtId:
          description: External identifier of operation.
          maxLength: 255
          type: string
        operationStatus:
          description: Operation result whether it was successfully executed or rejected.
          enum:
            - EXECUTED
            - REJECTED
          type: string
        operationType:
          description: >-
            Notifies about which kind of operation type was performed. Value is
            taken from `/classifier/operationType` endpoint.
          type: string
          x-dynamic-enum:
            path: /classifier/operationType
            valueField: code
        requester:
          description: Name of the system requesting web service.
          maxLength: 100
          type: string
        riskLevel:
          description: The risk level of imported operation.
          enum:
            - EXTREME
            - HIGH
            - LOW
            - MEDIUM
            - NONE
          type: string
        riskManagementCategory:
          description: >-
            Code of risk management category of the object. Value must be from a
            classifier list personalized to your company. Value is taken from
            `/classifier/riskManagementCategory` endpoint.
          type: string
          x-dynamic-enum:
            path: /classifier/riskManagementCategory
            valueField: code
        salesPointCode:
          description: External code of the sales point.
          maxLength: 50
          type: string
        salesPointExtId:
          description: External identifier of the sales point.
          maxLength: 100
          type: string
        sourceCountry:
          description: >-
            Country of operation's source. Value is taken from
            `/classifier/country` endpoint.
          maxLength: 2
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        terminalCode:
          description: External code of the terminal.
          maxLength: 100
          type: string
        terminalExtId:
          description: External identifier of the terminal.
          maxLength: 100
          type: string
      required:
        - amount
        - communicationNumber
        - currency
        - description
        - financialFlowDirection
        - listOperationParty
        - operationDateTime
        - operationExtId
        - operationType
        - requester
        - riskManagementCategory
      type: object
    BatchOperationResultApi:
      properties:
        businessUnit:
          type: string
        communicationNumber:
          type: string
        errorCode:
          type: string
        errorDescription:
          type: string
        operationExtId:
          type: string
        resultType:
          enum:
            - REQUEST_ACCEPTED
            - REQUEST_REJECTED
          type: string
        timeElapsedMs:
          format: int64
          type: integer
      type: object
    OperationPartyApi:
      properties:
        accountNumber:
          description: >-
            Unique account identification number used in performing
            operations.❗Not mandatory if partyRole is `ULTIMATE_DEBTOR` or
            `ULTIMATE_CREDITOR`.
          maxLength: 255
          type: string
        accountExtId:
          description: >-
            External account identifier. If this is not provided, then system
            will check a combination of `accountNumber` + `currency` + `bic` to
            detect customer.
          maxLength: 255
          type: string
        address:
          description: >-
            Party’s nformation including street address, city, and possibly
            other relevant details.
          maxLength: 4000
          type: string
        bankTitle:
          description: Title of bank at which the operation is happening.
          maxLength: 255
          type: string
        bic:
          description: Bank identifier code for account number.
          maxLength: 100
          type: string
        cardHolderName:
          description: Name written on the card.
          maxLength: 255
          type: string
        cardNumber:
          description: card number.
          maxLength: 255
          type: string
        cardValidTill:
          description: Card date of expiration written on the card.
          maxLength: 255
          type: string
        country:
          description: >-
            Two-letter country code specifying the participant's country.Value
            is taken from `/classifier/country` endpoint.
          maxLength: 2
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        currency:
          description: >-
            International currency code. Value is taken from
            `/classifier/currency` endpoint.
          maxLength: 3
          type: string
          x-dynamic-enum:
            path: /classifier/currency
            valueField: code
        entityType:
          description: Client type.
          enum:
            - INDIVIDUAL
            - ORGANIZATION
            - UNKNOWN
          type: string
        firstName:
          description: First name of the party.
          maxLength: 100
          type: string
        identifier:
          description: >-
            Unique identification number (e.g., personal ID, company VAT code)
            to distinguish the payer and the transaction. Can be used for
            customer, counterparty and ultimate party. ❗Mandatory only when
            `partyRole` is `ULTIMATE_*` and no more elements are provided for
            that party.
          maxLength: 255
          type: string
        lastName:
          description: Last name of the party.
          maxLength: 100
          type: string
        partyRole:
          description: >-
            The role of the party in ongoing operation. At least one operation
            party account must already exist in AMLYZE. Only one operation can
            be imported per API request which means only one `CREDITOR` and one
            `DEBTOR` could be provided.


            If `financialFlowDirection` is `INCOMING` your customer is
            `CREDITOR`. If `financialFlowDirection` is `OUTGOING` your customer
            is `DEBTOR`.
          enum:
            - CREDITOR
            - DEBTOR
            - ULTIMATE_CREDITOR
            - ULTIMATE_DEBTOR
          type: string
        title:
          description: >-
            Identifies a party (`INDIVIDUAL`, `ORGANIZATION` or `UNKNOWN`)
            without requiring `firstName` or `lastName`. ❗Not mandatory if
            entity is `INDIVIDUAL` and both `firstName` and `lastName` are
            provided.
          maxLength: 255
          type: string
      required:
        - accountNumber
        - entityType
        - partyRole
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````